
-- DROP TABLE rs_score;



CREATE TABLE rs_score (
    object_id int NOT NULL ,
    object_last_updated_date datetime DEFAULT getdate() NOT NULL ,
    object_created_date datetime DEFAULT getdate() NOT NULL
    ,
    score_number numeric(12) NULL,
    test_analysis_id numeric(12)  NULL,
    factor_number numeric(12)  NULL,
    level_number numeric(12)  NULL,
    narrative_id numeric(12)  NULL
    );



ALTER TABLE rs_score ADD    
    CONSTRAINT PK_rs_score PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_rs_score_test_analysis_id 
    ON rs_score (test_analysis_id);

    CREATE INDEX idx_rs_score_narrative_id 
    ON rs_score (narrative_id);
